<div class="chat-window" ng-class="{'minimized': vm.user.minimized}" ng-style="{right: 240 + vm.index * 240 + (20 * vm.index)}">
  <header>
    <i class="user-status fa fa-circle-o {{vm.user.online}}"></i>
    <span class="profile-picture" ng-attr-style="background-image:url('{{vm.user.img.length > 10 ? vm.user.img : vm.global.default_img}}')"></span>
    <a class="user-name" ng-href="users/{{vm.user.id}}">{{vm.user.fullname}}</a>
    <a class="button" ng-click="vm.closechatwindow(vm.index)"><i class="fa fa-close"></i></a>
    <a class="button" ng-click="vm.user.minimized = !vm.user.minimized"><i class="fa fa-minus"></i></a>
  </header>
  <div class="body" ng-hide="vm.user.minimized" scroll-glue check-for-pagination="vm.fetchMessages">
    <svg class="spinner" width="32px" height="32px" viewBox="0 0 66 66" ng-show="vm.user.message_loading">
      <circle class="path" fill="none" stroke-width="6" stroke-linecap="round" cx="33" cy="33" r="30"></circle>
    </svg>
    <div class="message" ng-repeat="message in vm.messages" ng-class="{'mine':message.mine}">
      <span>{{message.message | emojify}}</span>
      <small>{{message.time}}</small>
    </div>
    <i ng-show="vm.user.typing">{{vm.user.fullname}} is typing...</i>
  </div>
  <footer ng-hide="vm.user.minimized">
    <textarea placeholder="Enter a text here..." ng-model="vm.newMessage" ng-keydown="vm.preventNewLine($event)" ng-keyup="vm.sendMessage($event)" auto-focus></textarea>
    <a emoji-picker="vm.newMessage" placement="top" class="emojipicker"></a>
  </footer>
</div>
